net.minecraft.world.biome

## Class BiomeDecorator

- java.lang.Object
- - net.minecraft.world.biome.BiomeDecorator

- Direct Known Subclasses:
    BiomeEndDecorator, DeferredBiomeDecorator

      public class BiomeDecorator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WorldGenerator` | `bigMushroomGen`
    `int` | `bigMushroomsPerChunk`
    `int` | `cactiPerChunk`
    `WorldGenerator` | `cactusGen`
    `int` | `chunk_X`
    `int` | `chunk_Z`
    `WorldGenerator` | `clayGen`
    `int` | `clayPerChunk`
    `WorldGenerator` | `coalGen`
    `World` | `currentWorld`
    `int` | `deadBushPerChunk`
    `WorldGenerator` | `diamondGen`
    `WorldGenerator` | `dirtGen`
    `int` | `flowersPerChunk`
    `boolean` | `generateLakes`
    `WorldGenerator` | `goldGen`
    `int` | `grassPerChunk`
    `WorldGenerator` | `gravelAsSandGen`
    `WorldGenerator` | `gravelGen`
    `WorldGenerator` | `ironGen`
    `WorldGenerator` | `lapisGen`
    `WorldGenerator` | `mushroomBrownGen`
    `WorldGenerator` | `mushroomRedGen`
    `int` | `mushroomsPerChunk`
    `java.util.Random` | `randomGenerator`
    `WorldGenerator` | `redstoneGen`
    `WorldGenerator` | `reedGen`
    `int` | `reedsPerChunk`
    `WorldGenerator` | `sandGen`
    `int` | `sandPerChunk`
    `int` | `sandPerChunk2`
    `int` | `treesPerChunk`
    `WorldGenerator` | `waterlilyGen`
    `int` | `waterlilyPerChunk`
    `WorldGenFlowers` | `yellowFlowerGen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorateChunk(World p_150512_1_, java.util.Random p_150512_2_, BiomeGenBase p_150512_3_, int p_150512_4_, int p_150512_5_)`
    `protected void` | `genDecorations(BiomeGenBase p_150513_1_)`
    `protected void` | `generateOres()`
    `protected void` | `genStandardOre1(int par1, WorldGenerator par2WorldGenerator, int par3, int par4)`
    `protected void` | `genStandardOre2(int par1, WorldGenerator par2WorldGenerator, int par3, int par4)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentWorld

          public World currentWorld

    - #### randomGenerator

          public java.util.Random randomGenerator

    - #### chunk_X

          public int chunk_X

    - #### chunk_Z

          public int chunk_Z

    - #### clayGen

          public WorldGenerator clayGen

    - #### sandGen

          public WorldGenerator sandGen

    - #### gravelAsSandGen

          public WorldGenerator gravelAsSandGen

    - #### dirtGen

          public WorldGenerator dirtGen

    - #### gravelGen

          public WorldGenerator gravelGen

    - #### coalGen

          public WorldGenerator coalGen

    - #### ironGen

          public WorldGenerator ironGen

    - #### goldGen

          public WorldGenerator goldGen

    - #### redstoneGen

          public WorldGenerator redstoneGen

    - #### diamondGen

          public WorldGenerator diamondGen

    - #### lapisGen

          public WorldGenerator lapisGen

    - #### yellowFlowerGen

          public WorldGenFlowers yellowFlowerGen

    - #### mushroomBrownGen

          public WorldGenerator mushroomBrownGen

    - #### mushroomRedGen

          public WorldGenerator mushroomRedGen

    - #### bigMushroomGen

          public WorldGenerator bigMushroomGen

    - #### reedGen

          public WorldGenerator reedGen

    - #### cactusGen

          public WorldGenerator cactusGen

    - #### waterlilyGen

          public WorldGenerator waterlilyGen

    - #### waterlilyPerChunk

          public int waterlilyPerChunk

    - #### treesPerChunk

          public int treesPerChunk

    - #### flowersPerChunk

          public int flowersPerChunk

    - #### grassPerChunk

          public int grassPerChunk

    - #### deadBushPerChunk

          public int deadBushPerChunk

    - #### mushroomsPerChunk

          public int mushroomsPerChunk

    - #### reedsPerChunk

          public int reedsPerChunk

    - #### cactiPerChunk

          public int cactiPerChunk

    - #### sandPerChunk

          public int sandPerChunk

    - #### sandPerChunk2

          public int sandPerChunk2

    - #### clayPerChunk

          public int clayPerChunk

    - #### bigMushroomsPerChunk

          public int bigMushroomsPerChunk

    - #### generateLakes

          public boolean generateLakes

  - ### Constructor Detail

    - #### BiomeDecorator

          public BiomeDecorator()

  - ### Method Detail

    - #### decorateChunk

          public void decorateChunk(World p_150512_1_,
                           java.util.Random p_150512_2_,
                           BiomeGenBase p_150512_3_,
                           int p_150512_4_,
                           int p_150512_5_)

    - #### genDecorations

          protected void genDecorations(BiomeGenBase p_150513_1_)

    - #### genStandardOre1

          protected void genStandardOre1(int par1,
                             WorldGenerator par2WorldGenerator,
                             int par3,
                             int par4)

    - #### genStandardOre2

          protected void genStandardOre2(int par1,
                             WorldGenerator par2WorldGenerator,
                             int par3,
                             int par4)

    - #### generateOres

          protected void generateOres()